USE COWS
GO

CREATE TABLE [dbo].[LK_PRF_HRCHY](
	[ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CHLD_PRF_ID] [smallint] NOT NULL,
	[PRNT_PRF_ID] [smallint] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_LK_PRF_HRCHY] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_PRF_HRCHY] UNIQUE NONCLUSTERED 
(
	[CHLD_PRF_ID] ASC, [PRNT_PRF_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_LK_PRF_HRCHY] ON [dbo].[LK_PRF_HRCHY]
(
	[CHLD_PRF_ID] ASC
) INCLUDE (PRNT_PRF_ID) 
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[LK_PRF_HRCHY] ADD  CONSTRAINT [DF_LK_PRF_HRCHY_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[LK_PRF_HRCHY] ADD  CONSTRAINT [DF_LK_PRF_HRCHY_getdate]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[LK_PRF_HRCHY]  ADD  CONSTRAINT [FK01_LK_PRF_HRCHY] FOREIGN KEY([CHLD_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE [dbo].[LK_PRF_HRCHY]  ADD  CONSTRAINT [FK02_LK_PRF_HRCHY] FOREIGN KEY([PRNT_PRF_ID])
REFERENCES [dbo].[LK_USR_PRF] ([USR_PRF_ID])
GO

ALTER TABLE [dbo].[LK_PRF_HRCHY]  ADD  CONSTRAINT [FK03_LK_PRF_HRCHY] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO